Index: uspace/srv/net/tl/tcp/tcp.c
===================================================================
--- uspace/srv/net/tl/tcp/tcp.c	(revision fb04cba8d949f8b13de326b3aefd058316d54046)
+++ uspace/srv/net/tl/tcp/tcp.c	(revision 1bfd3d3b2991b8f2df4cff87d9723059528b9bd1)
@@ -127,9 +127,4 @@
 typedef struct tcp_timeout tcp_timeout_t;
 
-/** Type definition of the TCP timeout pointer.
- *  @see tcp_timeout
- */
-typedef tcp_timeout_t *tcp_timeout_ref;
-
 /** TCP reply timeout data.
  *  Used as a timeouting fibril argument.
@@ -144,5 +139,5 @@
 
 	/** Local sockets. */
-	socket_cores_ref local_sockets;
+	socket_cores_t *local_sockets;
 
 	/** Socket identifier. */
@@ -166,9 +161,9 @@
 
 static int tcp_release_and_return(packet_t, int);
-static void tcp_prepare_operation_header(socket_core_ref, tcp_socket_data_ref,
-    tcp_header_ref, int synchronize, int);
-static int tcp_prepare_timeout(int (*)(void *), socket_core_ref,
-    tcp_socket_data_ref, size_t, tcp_socket_state_t, suseconds_t, int);
-static void tcp_free_socket_data(socket_core_ref);
+static void tcp_prepare_operation_header(socket_core_t *, tcp_socket_data_t *,
+    tcp_header_t *, int synchronize, int);
+static int tcp_prepare_timeout(int (*)(void *), socket_core_t *,
+    tcp_socket_data_t *, size_t, tcp_socket_state_t, suseconds_t, int);
+static void tcp_free_socket_data(socket_core_t *);
 
 static int tcp_timeout(void *);
@@ -177,36 +172,36 @@
 
 static int tcp_process_packet(device_id_t, packet_t, services_t);
-static int tcp_connect_core(socket_core_ref, socket_cores_ref,
+static int tcp_connect_core(socket_core_t *, socket_cores_t *,
     struct sockaddr *, socklen_t);
-static int tcp_queue_prepare_packet(socket_core_ref, tcp_socket_data_ref,
+static int tcp_queue_prepare_packet(socket_core_t *, tcp_socket_data_t *,
     packet_t, size_t);
-static int tcp_queue_packet(socket_core_ref, tcp_socket_data_ref, packet_t,
+static int tcp_queue_packet(socket_core_t *, tcp_socket_data_t *, packet_t,
     size_t);
-static packet_t tcp_get_packets_to_send(socket_core_ref, tcp_socket_data_ref);
+static packet_t tcp_get_packets_to_send(socket_core_t *, tcp_socket_data_t *);
 static void tcp_send_packets(device_id_t, packet_t);
 
-static void tcp_process_acknowledgement(socket_core_ref, tcp_socket_data_ref,
-    tcp_header_ref);
-static packet_t tcp_send_prepare_packet(socket_core_ref, tcp_socket_data_ref,
+static void tcp_process_acknowledgement(socket_core_t *, tcp_socket_data_t *,
+    tcp_header_t *);
+static packet_t tcp_send_prepare_packet(socket_core_t *, tcp_socket_data_t *,
     packet_t, size_t, size_t);
-static packet_t tcp_prepare_copy(socket_core_ref, tcp_socket_data_ref, packet_t,
+static packet_t tcp_prepare_copy(socket_core_t *, tcp_socket_data_t *, packet_t,
     size_t, size_t);
-/* static */ void tcp_retransmit_packet(socket_core_ref, tcp_socket_data_ref,
+/* static */ void tcp_retransmit_packet(socket_core_t *, tcp_socket_data_t *,
     size_t);
-static int tcp_create_notification_packet(packet_t *, socket_core_ref,
-    tcp_socket_data_ref, int, int);
-static void tcp_refresh_socket_data(tcp_socket_data_ref);
-
-static void tcp_initialize_socket_data(tcp_socket_data_ref);
-
-static int tcp_process_listen(socket_core_ref, tcp_socket_data_ref,
-    tcp_header_ref, packet_t, struct sockaddr *, struct sockaddr *, size_t);
-static int tcp_process_syn_sent(socket_core_ref, tcp_socket_data_ref,
-    tcp_header_ref, packet_t);
-static int tcp_process_syn_received(socket_core_ref, tcp_socket_data_ref,
-    tcp_header_ref, packet_t);
-static int tcp_process_established(socket_core_ref, tcp_socket_data_ref,
-    tcp_header_ref, packet_t, int, size_t);
-static int tcp_queue_received_packet(socket_core_ref, tcp_socket_data_ref,
+static int tcp_create_notification_packet(packet_t *, socket_core_t *,
+    tcp_socket_data_t *, int, int);
+static void tcp_refresh_socket_data(tcp_socket_data_t *);
+
+static void tcp_initialize_socket_data(tcp_socket_data_t *);
+
+static int tcp_process_listen(socket_core_t *, tcp_socket_data_t *,
+    tcp_header_t *, packet_t, struct sockaddr *, struct sockaddr *, size_t);
+static int tcp_process_syn_sent(socket_core_t *, tcp_socket_data_t *,
+    tcp_header_t *, packet_t);
+static int tcp_process_syn_received(socket_core_t *, tcp_socket_data_t *,
+    tcp_header_t *, packet_t);
+static int tcp_process_established(socket_core_t *, tcp_socket_data_t *,
+    tcp_header_t *, packet_t, int, size_t);
+static int tcp_queue_received_packet(socket_core_t *, tcp_socket_data_t *,
     packet_t, int, size_t);
 
@@ -214,11 +209,11 @@
 static int tcp_process_client_messages(ipc_callid_t, ipc_call_t);
 
-static int tcp_listen_message(socket_cores_ref, int, int);
-static int tcp_connect_message(socket_cores_ref, int, struct sockaddr *,
+static int tcp_listen_message(socket_cores_t *, int, int);
+static int tcp_connect_message(socket_cores_t *, int, struct sockaddr *,
     socklen_t);
-static int tcp_recvfrom_message(socket_cores_ref, int, int, size_t *);
-static int tcp_send_message(socket_cores_ref, int, int, size_t *, int);
-static int tcp_accept_message(socket_cores_ref, int, int, size_t *, size_t *);
-static int tcp_close_message(socket_cores_ref, int);
+static int tcp_recvfrom_message(socket_cores_t *, int, int, size_t *);
+static int tcp_send_message(socket_cores_t *, int, int, size_t *, int);
+static int tcp_accept_message(socket_cores_t *, int, int, size_t *, size_t *);
+static int tcp_close_message(socket_cores_t *, int);
 
 /** TCP global data. */
@@ -229,6 +224,6 @@
  * @param[in] client_connection The client connection processing function. The
  *			module skeleton propagates its own one.
- * @returns		EOK on success.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		ENOMEM if there is not enough memory left.
  */
 int tcp_initialize(async_client_conn_t client_connection)
@@ -290,7 +285,7 @@
 	size_t offset;
 	int result;
-	tcp_header_ref header;
-	socket_core_ref socket;
-	tcp_socket_data_ref socket_data;
+	tcp_header_t *header;
+	socket_core_t *socket;
+	tcp_socket_data_t *socket_data;
 	packet_t next_packet;
 	size_t total_length;
@@ -343,5 +338,5 @@
 
 	/* Get tcp header */
-	header = (tcp_header_ref) packet_get_data(packet);
+	header = (tcp_header_t *) packet_get_data(packet);
 	if (!header)
 		return tcp_release_and_return(packet, NO_DATA);
@@ -380,5 +375,5 @@
 
 	printf("socket id %d\n", socket->socket_id);
-	socket_data = (tcp_socket_data_ref) socket->specific_data;
+	socket_data = (tcp_socket_data_t *) socket->specific_data;
 	assert(socket_data);
 
@@ -497,6 +492,6 @@
 }
 
-int tcp_process_established(socket_core_ref socket, tcp_socket_data_ref
-    socket_data, tcp_header_ref header, packet_t packet, int fragments,
+int tcp_process_established(socket_core_t *socket, tcp_socket_data_t *
+    socket_data, tcp_header_t *header, packet_t packet, int fragments,
     size_t total_length)
 {
@@ -805,9 +800,9 @@
 }
 
-int tcp_queue_received_packet(socket_core_ref socket,
-    tcp_socket_data_ref socket_data, packet_t packet, int fragments,
+int tcp_queue_received_packet(socket_core_t *socket,
+    tcp_socket_data_t *socket_data, packet_t packet, int fragments,
     size_t total_length)
 {
-	packet_dimension_ref packet_dimension;
+	packet_dimension_t *packet_dimension;
 	int rc;
 
@@ -842,6 +837,6 @@
 }
 
-int tcp_process_syn_sent(socket_core_ref socket, tcp_socket_data_ref
-    socket_data, tcp_header_ref header, packet_t packet)
+int tcp_process_syn_sent(socket_core_t *socket, tcp_socket_data_t *
+    socket_data, tcp_header_t *header, packet_t packet)
 {
 	packet_t next_packet;
@@ -900,12 +895,12 @@
 }
 
-int tcp_process_listen(socket_core_ref listening_socket,
-    tcp_socket_data_ref listening_socket_data, tcp_header_ref header,
+int tcp_process_listen(socket_core_t *listening_socket,
+    tcp_socket_data_t *listening_socket_data, tcp_header_t *header,
     packet_t packet, struct sockaddr *src, struct sockaddr *dest,
     size_t addrlen)
 {
 	packet_t next_packet;
-	socket_core_ref socket;
-	tcp_socket_data_ref socket_data;
+	socket_core_t *socket;
+	tcp_socket_data_t *socket_data;
 	int socket_id;
 	int listening_socket_id = listening_socket->socket_id;
@@ -922,5 +917,5 @@
 		return tcp_release_and_return(packet, EINVAL);
 
-	socket_data = (tcp_socket_data_ref) malloc(sizeof(*socket_data));
+	socket_data = (tcp_socket_data_t *) malloc(sizeof(*socket_data));
 	if (!socket_data)
 		return tcp_release_and_return(packet, ENOMEM);
@@ -979,5 +974,5 @@
 	}
 	listening_socket_data =
-	    (tcp_socket_data_ref) listening_socket->specific_data;
+	    (tcp_socket_data_t *) listening_socket->specific_data;
 	assert(listening_socket_data);
 
@@ -991,5 +986,5 @@
 		return ENOTSOCK;
 	}
-	socket_data = (tcp_socket_data_ref) socket->specific_data;
+	socket_data = (tcp_socket_data_t *) socket->specific_data;
 	assert(socket_data);
 
@@ -1060,9 +1055,9 @@
 }
 
-int tcp_process_syn_received(socket_core_ref socket,
-    tcp_socket_data_ref socket_data, tcp_header_ref header, packet_t packet)
-{
-	socket_core_ref listening_socket;
-	tcp_socket_data_ref listening_socket_data;
+int tcp_process_syn_received(socket_core_t *socket,
+    tcp_socket_data_t *socket_data, tcp_header_t *header, packet_t packet)
+{
+	socket_core_t *listening_socket;
+	tcp_socket_data_t *listening_socket_data;
 	int rc;
 
@@ -1086,5 +1081,5 @@
 	if (listening_socket) {
 		listening_socket_data =
-		    (tcp_socket_data_ref) listening_socket->specific_data;
+		    (tcp_socket_data_t *) listening_socket->specific_data;
 		assert(listening_socket_data);
 
@@ -1127,6 +1122,6 @@
 }
 
-void tcp_process_acknowledgement(socket_core_ref socket,
-    tcp_socket_data_ref socket_data, tcp_header_ref header)
+void tcp_process_acknowledgement(socket_core_t *socket,
+    tcp_socket_data_t *socket_data, tcp_header_t *header)
 {
 	size_t number;
@@ -1227,6 +1222,6 @@
  * @param[out] answer_count The last parameter for the actual answer in the
  *			answer parameter.
- * @returns		EOK on success.
- * @returns		ENOTSUP if the message is not known.
+ * @return		EOK on success.
+ * @return		ENOTSUP if the message is not known.
  *
  * @see tcp_interface.h
@@ -1265,5 +1260,5 @@
 }
 
-void tcp_refresh_socket_data(tcp_socket_data_ref socket_data)
+void tcp_refresh_socket_data(tcp_socket_data_t *socket_data)
 {
 	assert(socket_data);
@@ -1281,5 +1276,5 @@
 }
 
-void tcp_initialize_socket_data(tcp_socket_data_ref socket_data)
+void tcp_initialize_socket_data(tcp_socket_data_t *socket_data)
 {
 	assert(socket_data);
@@ -1304,7 +1299,7 @@
 	ipc_call_t answer;
 	int answer_count;
-	tcp_socket_data_ref socket_data;
-	socket_core_ref socket;
-	packet_dimension_ref packet_dimension;
+	tcp_socket_data_t *socket_data;
+	socket_core_t *socket;
+	packet_dimension_t *packet_dimension;
 
 	/*
@@ -1336,5 +1331,5 @@
 		case NET_SOCKET:
 			socket_data =
-			    (tcp_socket_data_ref) malloc(sizeof(*socket_data));
+			    (tcp_socket_data_t *) malloc(sizeof(*socket_data));
 			if (!socket_data) {
 				res = ENOMEM;
@@ -1383,5 +1378,5 @@
 				    SOCKET_GET_SOCKET_ID(call));
 				if (socket) {
-					socket_data = (tcp_socket_data_ref)
+					socket_data = (tcp_socket_data_t *)
 					    socket->specific_data;
 					assert(socket_data);
@@ -1540,8 +1535,8 @@
 int tcp_timeout(void *data)
 {
-	tcp_timeout_ref timeout = data;
+	tcp_timeout_t *timeout = data;
 	int keep_write_lock = false;
-	socket_core_ref socket;
-	tcp_socket_data_ref socket_data;
+	socket_core_t *socket;
+	tcp_socket_data_t *socket_data;
 
 	assert(timeout);
@@ -1561,5 +1556,5 @@
 		goto out;
 	
-	socket_data = (tcp_socket_data_ref) socket->specific_data;
+	socket_data = (tcp_socket_data_t *) socket->specific_data;
 	assert(socket_data);
 	if (socket_data->local_sockets != timeout->local_sockets)
@@ -1617,7 +1612,7 @@
 int tcp_release_after_timeout(void *data)
 {
-	tcp_timeout_ref timeout = data;
-	socket_core_ref socket;
-	tcp_socket_data_ref socket_data;
+	tcp_timeout_t *timeout = data;
+	socket_core_t *socket;
+	tcp_socket_data_t *socket_data;
 	fibril_rwlock_t *local_lock;
 
@@ -1635,5 +1630,5 @@
 
 	if (socket && (socket->socket_id == timeout->socket_id)) {
-		socket_data = (tcp_socket_data_ref) socket->specific_data;
+		socket_data = (tcp_socket_data_t *) socket->specific_data;
 		assert(socket_data);
 		if (socket_data->local_sockets == timeout->local_sockets) {
@@ -1656,5 +1651,5 @@
 }
 
-void tcp_retransmit_packet(socket_core_ref socket, tcp_socket_data_ref
+void tcp_retransmit_packet(socket_core_t *socket, tcp_socket_data_t *
     socket_data, size_t sequence_number)
 {
@@ -1683,9 +1678,9 @@
 }
 
-int tcp_listen_message(socket_cores_ref local_sockets, int socket_id,
+int tcp_listen_message(socket_cores_t *local_sockets, int socket_id,
     int backlog)
 {
-	socket_core_ref socket;
-	tcp_socket_data_ref socket_data;
+	socket_core_t *socket;
+	tcp_socket_data_t *socket_data;
 
 	assert(local_sockets);
@@ -1700,5 +1695,5 @@
 	
 	/* Get the socket specific data */
-	socket_data = (tcp_socket_data_ref) socket->specific_data;
+	socket_data = (tcp_socket_data_t *) socket->specific_data;
 	assert(socket_data);
 
@@ -1709,8 +1704,8 @@
 }
 
-int tcp_connect_message(socket_cores_ref local_sockets, int socket_id,
+int tcp_connect_message(socket_cores_t *local_sockets, int socket_id,
     struct sockaddr *addr, socklen_t addrlen)
 {
-	socket_core_ref socket;
+	socket_core_t *socket;
 	int rc;
 
@@ -1737,8 +1732,8 @@
 }
 
-int tcp_connect_core(socket_core_ref socket, socket_cores_ref local_sockets,
+int tcp_connect_core(socket_core_t *socket, socket_cores_t *local_sockets,
     struct sockaddr *addr, socklen_t addrlen)
 {
-	tcp_socket_data_ref socket_data;
+	tcp_socket_data_t *socket_data;
 	packet_t packet;
 	int rc;
@@ -1749,5 +1744,5 @@
 
 	/* Get the socket specific data */
-	socket_data = (tcp_socket_data_ref) socket->specific_data;
+	socket_data = (tcp_socket_data_t *) socket->specific_data;
 	assert(socket_data);
 	assert(socket->specific_data == socket_data);
@@ -1828,8 +1823,8 @@
 }
 
-int tcp_queue_prepare_packet(socket_core_ref socket,
-    tcp_socket_data_ref socket_data, packet_t packet, size_t data_length)
-{
-	tcp_header_ref header;
+int tcp_queue_prepare_packet(socket_core_t *socket,
+    tcp_socket_data_t *socket_data, packet_t packet, size_t data_length)
+{
+	tcp_header_t *header;
 	int rc;
 
@@ -1839,5 +1834,5 @@
 
 	/* Get TCP header */
-	header = (tcp_header_ref) packet_get_data(packet);
+	header = (tcp_header_t *) packet_get_data(packet);
 	if (!header)
 		return NO_DATA;
@@ -1859,5 +1854,5 @@
 }
 
-int tcp_queue_packet(socket_core_ref socket, tcp_socket_data_ref socket_data,
+int tcp_queue_packet(socket_core_t *socket, tcp_socket_data_t *socket_data,
     packet_t packet, size_t data_length)
 {
@@ -1881,5 +1876,5 @@
 }
 
-packet_t tcp_get_packets_to_send(socket_core_ref socket, tcp_socket_data_ref
+packet_t tcp_get_packets_to_send(socket_core_t *socket, tcp_socket_data_t *
     socket_data)
 {
@@ -1941,8 +1936,8 @@
 }
 
-packet_t tcp_send_prepare_packet(socket_core_ref socket, tcp_socket_data_ref
+packet_t tcp_send_prepare_packet(socket_core_t *socket, tcp_socket_data_t *
     socket_data, packet_t packet, size_t data_length, size_t sequence_number)
 {
-	tcp_header_ref header;
+	tcp_header_t *header;
 	uint32_t checksum;
 	int rc;
@@ -1961,5 +1956,5 @@
 
 	/* Get the header */
-	header = (tcp_header_ref) packet_get_data(packet);
+	header = (tcp_header_t *) packet_get_data(packet);
 	if (!header) {
 		pq_release_remote(tcp_globals.net_phone, packet_get_id(packet));
@@ -2002,5 +1997,5 @@
 }
 
-packet_t tcp_prepare_copy(socket_core_ref socket, tcp_socket_data_ref
+packet_t tcp_prepare_copy(socket_core_t *socket, tcp_socket_data_t *
     socket_data, packet_t packet, size_t data_length, size_t sequence_number)
 {
@@ -2032,6 +2027,6 @@
 }
 
-void tcp_prepare_operation_header(socket_core_ref socket,
-    tcp_socket_data_ref socket_data, tcp_header_ref header, int synchronize,
+void tcp_prepare_operation_header(socket_core_t *socket,
+    tcp_socket_data_t *socket_data, tcp_header_t *header, int synchronize,
     int finalize)
 {
@@ -2050,9 +2045,9 @@
 
 int tcp_prepare_timeout(int (*timeout_function)(void *tcp_timeout_t),
-    socket_core_ref socket, tcp_socket_data_ref socket_data,
+    socket_core_t *socket, tcp_socket_data_t *socket_data,
     size_t sequence_number, tcp_socket_state_t state, suseconds_t timeout,
     int globals_read_only)
 {
-	tcp_timeout_ref operation_timeout;
+	tcp_timeout_t *operation_timeout;
 	fid_t fibril;
 
@@ -2096,9 +2091,9 @@
 }
 
-int tcp_recvfrom_message(socket_cores_ref local_sockets, int socket_id,
+int tcp_recvfrom_message(socket_cores_t *local_sockets, int socket_id,
     int flags, size_t *addrlen)
 {
-	socket_core_ref socket;
-	tcp_socket_data_ref socket_data;
+	socket_core_t *socket;
+	tcp_socket_data_t *socket_data;
 	int packet_id;
 	packet_t packet;
@@ -2117,5 +2112,5 @@
 		return NO_DATA;
 
-	socket_data = (tcp_socket_data_ref) socket->specific_data;
+	socket_data = (tcp_socket_data_t *) socket->specific_data;
 
 	/* Check state */
@@ -2154,13 +2149,13 @@
 }
 
-int tcp_send_message(socket_cores_ref local_sockets, int socket_id,
+int tcp_send_message(socket_cores_t *local_sockets, int socket_id,
     int fragments, size_t *data_fragment_size, int flags)
 {
-	socket_core_ref socket;
-	tcp_socket_data_ref socket_data;
-	packet_dimension_ref packet_dimension;
+	socket_core_t *socket;
+	tcp_socket_data_t *socket_data;
+	packet_dimension_t *packet_dimension;
 	packet_t packet;
 	size_t total_length;
-	tcp_header_ref header;
+	tcp_header_t *header;
 	int index;
 	int result;
@@ -2179,5 +2174,5 @@
 		return NO_DATA;
 
-	socket_data = (tcp_socket_data_ref) socket->specific_data;
+	socket_data = (tcp_socket_data_t *) socket->specific_data;
 
 	/* Check state */
@@ -2230,8 +2225,8 @@
 
 int
-tcp_close_message(socket_cores_ref local_sockets, int socket_id)
-{
-	socket_core_ref socket;
-	tcp_socket_data_ref socket_data;
+tcp_close_message(socket_cores_t *local_sockets, int socket_id)
+{
+	socket_core_t *socket;
+	tcp_socket_data_t *socket_data;
 	packet_t packet;
 	int rc;
@@ -2243,5 +2238,5 @@
 
 	/* Get the socket specific data */
-	socket_data = (tcp_socket_data_ref) socket->specific_data;
+	socket_data = (tcp_socket_data_t *) socket->specific_data;
 	assert(socket_data);
 
@@ -2298,9 +2293,9 @@
 }
 
-int tcp_create_notification_packet(packet_t *packet, socket_core_ref socket,
-    tcp_socket_data_ref socket_data, int synchronize, int finalize)
-{
-	packet_dimension_ref packet_dimension;
-	tcp_header_ref header;
+int tcp_create_notification_packet(packet_t *packet, socket_core_t *socket,
+    tcp_socket_data_t *socket_data, int synchronize, int finalize)
+{
+	packet_dimension_t *packet_dimension;
+	tcp_header_t *header;
 	int rc;
 
@@ -2332,11 +2327,11 @@
 }
 
-int tcp_accept_message(socket_cores_ref local_sockets, int socket_id,
+int tcp_accept_message(socket_cores_t *local_sockets, int socket_id,
     int new_socket_id, size_t *data_fragment_size, size_t *addrlen)
 {
-	socket_core_ref accepted;
-	socket_core_ref socket;
-	tcp_socket_data_ref socket_data;
-	packet_dimension_ref packet_dimension;
+	socket_core_t *accepted;
+	socket_core_t *socket;
+	tcp_socket_data_t *socket_data;
+	packet_dimension_t *packet_dimension;
 	int rc;
 
@@ -2351,5 +2346,5 @@
 
 	/* Get the socket specific data */
-	socket_data = (tcp_socket_data_ref) socket->specific_data;
+	socket_data = (tcp_socket_data_t *) socket->specific_data;
 	assert(socket_data);
 
@@ -2369,5 +2364,5 @@
 
 		/* Get the socket specific data */
-		socket_data = (tcp_socket_data_ref) accepted->specific_data;
+		socket_data = (tcp_socket_data_t *) accepted->specific_data;
 		assert(socket_data);
 		/* TODO can it be in another state? */
@@ -2405,7 +2400,7 @@
 }
 
-void tcp_free_socket_data(socket_core_ref socket)
-{
-	tcp_socket_data_ref socket_data;
+void tcp_free_socket_data(socket_core_t *socket)
+{
+	tcp_socket_data_t *socket_data;
 
 	assert(socket);
@@ -2414,5 +2409,5 @@
 
 	/* Get the socket specific data */
-	socket_data = (tcp_socket_data_ref) socket->specific_data;
+	socket_data = (tcp_socket_data_t *) socket->specific_data;
 	assert(socket_data);
 
@@ -2499,6 +2494,6 @@
 /** Starts the module.
  *
- * @returns		EOK on success.
- * @returns		Other error codes as defined for each specific module
+ * @return		EOK on success.
+ * @return		Other error codes as defined for each specific module
  *			start function.
  */
